org.apache.hadoop.yarn.server.api.records

## Interface MasterKey

- All Known Implementing Classes:
    MasterKeyPBImpl

      public interface MasterKey

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ByteBuffer` | `getBytes()`
    `int` | `getKeyId()`
    `void` | `setBytes(ByteBuffer bytes)`
    `void` | `setKeyId(int keyId)`

- - ### Method Detail

    - #### getKeyId

          int getKeyId()

    - #### setKeyId

          void setKeyId(int keyId)

    - #### getBytes

          ByteBuffer getBytes()

    - #### setBytes

          void setBytes(ByteBuffer bytes)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.